Subject: bug#9392: 24.0.50; rmail-forward produces messages in unsupported format that cannot be customized away

From: Kenichi Handa <[email-masked]>
Date: Tue, 30 Aug 2011 09:36:08 +0900

In article <[email-masked]>, Eli Zaretskii <[email-masked]> writes:

> > > *Note (emacs-mime) MML Definition::
> > 
> > Thanks.  So you are saying that the _actual_ bug is that rmail-forward
> > doesn't run the outgoing message buffer through mml-generate-mime, is
> > that right?

> Actually, I should have told that the original problem happens with
> mail-user-agent set to sendmail-user-agent.

> So, given the above input regarding MML, I assumed that message.el
> does TRT with MML before sending the forwarded message, and tried
> rmail-forward in "emacs -Q".  However, with that configuration, the
> code which inserts the MML #part tag is never executed, and in
> fact the "*unsent mail*" buffer popped by message.el does not have the
> text of the message being forwarded; the body of the composed message
> is empty.

I have not noticed this bug because I seldom do
rmail-forward; instead I freaquently do rmail-resend (C-u f)
which still works in the latest Emacs.

My last changes to rmail.el and rmailmm.el were before the
release of 23.3, and for 23.3, I surely tested that
rmail-forward worked with "emacs -Q" (but I must confess that I
forgot to test the other configuration).

> AFAICS, the #part tag is not inserted because rmail-forward
> expects rmail-start-mail return a non-nil value, but with
> message-user-agent it returns nil.

So, It seems that something has been changed after the
release of 23.3.

By the way, I found that if a sending mail contains "<"
followed by "#part", the following error is signaled.

forward-sexp: Scan error: "Containing expression ends prematurely", 1099, 1100

So, I'm sending this mail replacing that kind of text with "#part tag".

---
Kenichi Handa
[email-masked]